//---------------------------------------------------------------------------

#ifndef OmaLCDH
#define OmaLCDH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "TDLPortIO.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TDLPortIO *DLPortIO1;
        TButton *Lopeta_Button1;
        TButton *StartLPTDriver_Button1;
        TButton *PutByte_Button1;
        TLabel *WriteData_Label1;
        TEdit *WriteData_Edit1;
        TLabel *WriteCtrl_Label1;
        TEdit *WriteCtrl_Edit1;
        TButton *InitLCD_Button1;
        TEdit *StartLPTDriver_Edit1;
        TEdit *InitLCD_Edit1;
        TEdit *SetXY_Edit1;
        TButton *SetXY_Button;
        TEdit *SetXY_Edit2;
        TLabel *SetXY_Label1;
        TLabel *SetXY_Label2;
        TButton *SetLCDCursor_Button;
        TButton *ClearLCDText_Button1;
        TButton *ClearLCDGraph_Button1;
        TButton *PrintLCDText_Button1;
        TEdit *PrintLCDText_Edit1;
        TButton *SetLCDPixel_Button1;
        TEdit *SetLCDPixel_Edit1;
        TEdit *SetLCDCursor_Edit1;
        TEdit *SetLCDCursor_Edit2;
        TLabel *SetLCDCursor_Label1;
        TLabel *SetLCDCursor_Label2;
        TGroupBox *GroupBox1;
        TButton *CharGenROM_Button1;
        TButton *MBM_Button1;

        void __fastcall Lopeta_Button1Click(TObject *Sender);
        void __fastcall StartLPTDriver_Button1Click(TObject *Sender);
        void __fastcall PutByte_Button1Click(TObject *Sender);
        void __fastcall InitLCD_Button1Click(TObject *Sender);
        void __fastcall SetXY_ButtonClick(TObject *Sender);
        void __fastcall SetLCDCursor_ButtonClick(TObject *Sender);
        void __fastcall ClearLCDText_Button1Click(TObject *Sender);
        void __fastcall ClearLCDGraph_Button1Click(TObject *Sender);
        void __fastcall PrintLCDText_Button1Click(TObject *Sender);
        void __fastcall SetLCDPixel_Button1Click(TObject *Sender);
        void __fastcall CharGenROM_Button1Click(TObject *Sender);
        void __fastcall MBM_Button1Click(TObject *Sender);

private:	// User declarations

public:		// User declarations

        void __fastcall StartLPTDriver(void);
        void __fastcall WriteData(BYTE Data);
        void __fastcall WriteCtrl(BYTE Command);
        void __fastcall InitLCD(void);
        void __fastcall WaitDisplayReady(void);
        void __fastcall SetLCDXY(int x, int y);
        void __fastcall SetLCDCursor(int x, int y);
        void __fastcall ClearLCDText(void);
        void __fastcall ClearLCDGraph(void);
        void __fastcall PrintLCDText(char *string);
        void __fastcall SetLCDPixel(int x, int y);
        
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
      
